{"openapi": "3.0.0", "info": {"description": "The Mergado API is based on REST principles. The request/response format is JSON. This documentation is a part of [Mergado Docs](https://mergado.github.io/docs/intro/the-basics.html).\n\n## 📋 Changelog\n<details> <summary><b>Show changelog history</b></summary> <br>\n\n\n ### 2026-03-19\n\n#### Added\n\n* Endpoint `/shops/{id}/google/merchant/proxy/{path}`\n\n ### 2025-12-03\n\n#### Changed\n\n* Endpoint GET `/shops/{id}/info`\n    - Removed obsolete connections.\n    - Removed vague fields: `currency`, `status`, `valid_credentials` and `error` from connections.\n\n#### Added\n\n* Endpoint `/shops/{id}/{connection}/validate`\n\n### 2025-09-24\n\n#### Added\n\n* Endpoint `/shops/{id}/unas/proxy/{path}`\n\n### 2025-09-24\n\n#### Changed\n\n* Endpoint `POST /shops/{id}/notifications/`\n    - Field `scope` now receives and returns `'eshop'|'owner'` instead of `'shop'|'owner'`.\n    - Returned JSON contains new fields: `event`, `data`.\n    - Success response no longer contains `Location` header.\n\n* Endpoint `GET /notifications/{id}/`\n    - Now requires scope `user.notify.read`.\n    - **Stricter access control**\n    - Returned JSON contains new fields: `event`, `data`.\n\n* Endpoint `GET /users/{user_identifier}/notifications/`\n    - Structure for each notification in response's `data` list is now the same as what `GET /notifications/{id}/` returns.\n\n* Endpoint `POST /users/{user_identifier}/notifications/`\n    - Success response no longer contains `Location` header.\n\n### 2025-09-24\n\n#### Added\n\n* Endpoint `/shops/{id}/eshop-rychle/proxy/{path}`\n\n### 2025-08-22\n\n#### Added\n\n* Endpoint `/shops/{id}/heureka/proxy/{path}`\n\n* Field `api_enabled` to `/shops/<id>/info`\n\n### 2025-03-23\n\n#### Added\n\n* `element_path` and `is_output` parameter for `/projects/{id}/elements/values` and `/projects/{id}/elements/values` endpoints\n\n### 2025-02-13\n\n#### Added\n\n* `is_hidden` parameter for `projects/{id}/products/` and `/queries/{id}/products/` endpoints\n\n### 2025-01-09\n\n#### Changed\n\n* Renamed the fields `xml_changed_at` and `xml_synced_at` to `data_changed_at` and `data_synced_at` in the `projects/id/` endpoint\n\n### 2024-09-11\n\n#### Added\n\n* `invoicing_validity_date`, `avatars`, and `phone` fields to the `/users/` and `/users/{id}/` endpoints, these endpoints are now also accessible with offline tokens\n\n* **POST** method for `/products/{id}/` endpoint to set the `is_dirty` field\n\n### 2024-07-24\n\n#### Added\n\n* `in_testing_mode` field in `/shops/{id}/projects/` and `/projects/{id}/` endpoints\n\n#### Removed\n\n* `created_at` field in `/projects/{id}/products/`, `/products/{id}/` and `/queries/{id}/products/` endpoints\n\n### 2024-01-25\n\n#### Added\n\n* `values_to_extract` parameter for `/queries/{id}/products/` endpoint\n\n### 2023-10-10\n\n#### Added\n\n* `values_to_extract` parameter for `projects/{id}/products/` endpoint\n\n### 2022-09-14\n\n#### Added\n\n* Endpoint `/formats/{format_id}`\n\n* Endpoint `/formats/{format_id}/specification`\n\n#### Changed\n\n* Versioning\n\n* Endpoint `/projects/{id}/elements`\n\n* Endpoint `/elements/{id}`\n\n* Endpoint `/projects/{id}/products`\n\n* Endpoint `/products/{id}`\n\n* Endpoint `/queries/{id}/products`\n</details>\n\n\n## Requests\n\nThe recommended encoding of all requests is UTF-8. Requests must be made over **HTTPS** and\nall endpoints start with `https://api.mergado.com/`. Note that almost all API endpoints\nrequire [OAuth 2.0 authentication](https://tools.ietf.org/html/rfc6749).\n\n### Allowed HTTPs requests\n\n| Method | Description                                  |\n|--------|----------------------------------------------|\n| GET    | Retrieves a resource or a list of resources. |\n| POST   | Creates or updates a resource.               |\n| PATCH  | Updates a resource.                          |\n| DELETE | Deletes a resource.                          |\n\n### Additional GET parameters\n\n| Parameter                    | Example                                                                  | Description |\n|------------------------------|--------------------------------------------------------------------------|-------------|\n| **fields**                   | `?fields=uri,shop.id`                                                    | Only fields `uri` and `id` nested in `shop` will be returned in the given example. It works also for arrays of results - filter is applied to all their items, one by one. |\n| **limit**, **offset**        | `?limit=5&offset=2`                                                      | Works for arrays only. It is for paging the results. In the example, 2 results from the beginning are skipped and only 5 following items are returned. The default limit for every array result is 10 items. |\n| **date**                     | `?date=2015-12-24`                                                       | Works only for some special endpoints. In the example, it will return results corresponding only to Christmas Eve in 2015.\n| **filter**                   | `?filter=[{\"field\": \"to\", \"op\": \">=\", \"value\": \"2021-08-08T13:00:00\"}]`  | Filters the result. Parameter accepts a valid JSON list with at least one filter. Returned objects meet conditions for all filters. Supported operators are: `=`, `!=`, `<=`, `>=`, `<`, `>`, `~` (regexp), `in`. Only numbers and timestamps in ISO 8601 format can be ordinally compared. Missing values in timestamps will be supplemented by the lowest possible values, eg `\"2015-12-24\"` equals `\"2015-12-24T00:00:00+00:00\"`. Checks for `null` values is possible with `=` and `!=`. For other operators the comparison with `null` will always fail. Only non-nested fields are expected. |\n| **order_by**                 | `?order_by=validator,-verdict`                                           | Orders the result in ascending or descending order. |\n| filter_by                    | `?filter_by={\"item_id__in\":[\"123456789\"]}`                               | **!! DEPRECATED !!** Used only for Feed Audit and Statistics. Filters the result. You can also append field name with `__in`, i.e. filter results by enumerating all values of a field, for example `item_id__in` expects list of possible ITEM_IDs. |\n| **values_to_extract**        | `?values_to_extract=[\"ITEM_ID\", \"PARAM &#124; PARAM_NAME\", \"Variable\"]`       | The functionality is limited to the `List Products` endpoint. You can specify a list of element paths or variable names for which the endpoint will return a list of values in a new field called `extracted_values`. |\n| **mql**                      | `?mql=PRICE_VAT < 100`                                                   | The functionality is limited to the `List Products` endpoints. Parameter allows filtering products based on [MQL](https://mergado.github.io/docs/apps/rules-and-queries.html) query. |\n| **is_hidden**                | `?is_hidden=false`                                                       | The functionality is limited to the `List Products` endpoints. Parameter allows filtering products based on their visibility status. |\n| **element_path**             | `?element_path=GIFT { NO_ATTR = \"sleva 20%\" } &#124; @ID`                     | The functionality is limited to the `Element values` endpoints. Parameter allows filtering element values based on their `element path.`|\n| **is_output**                | `?is_output=true`                                                        | The function is limited to `Element Values` endpoints. The parameter allows you to specify whether to return the input or output values ​​of the element.`|\n\n#### Encoding\n\nAll special characters in additional GET parameter values must be URL-encoded (also known as percent-encoding).\n\n### Typical Server Responses\n\n| Code | Status             | Description |\n|------|--------------------|-------------|\n| 200  | OK                 | The request was successful (some API calls may return 201 instead). In case of arrays, `total_results` or `after` is returned as part of the envelope (together with `limit` and `offset`). It corresponds to the total amount of resources that match the request. |\n| 201  | Created            | The request was successful and a resource was created. |\n| 204  | No Content         | The request was successful but there is no representation to return (that is, the response is empty). |\n| 400  | Bad Request        | The request could not be understood or was missing required parameters. |\n| 401  | Unauthorized       | Authentication failed or user does not have permissions for the requested operation. |\n| 403  | Forbidden          | Access denied. |\n| 404  | Not Found          | Resource was not found. |\n| 405  | Method Not Allowed | Requested method is not supported for the specified resource. |\n| 409  | Conflict           | Resource already exists and could not be created. |\n\n## OAuth 2.0\n\nTo access Mergado API, clients (e.g. an application) are required to authenticate with\n[OAuth 2.0](https://tools.ietf.org/html/rfc6749). Each application is required to have\nits OAuth credentials which can be obtained from the Mergado\n[developers center](https://developers.mergado.com) (during registeration of your application,\na client ID and a secret key is assigned to your application).\n\n* [Basics of OAuth 2.0 in Mergado Apps](http://mergado.github.io/docs/api/authorization.html)\n\n* [List of all OAuth scopes](http://mergado.github.io/docs/api/oauth-scopes.html)\n\n### Online and offline access tokens\n\nMergado API distinguishes between situations where your Mergado platform app accesses API **on behalf of some specific Mergado user** and where the app is accessing API **on behalf of the app itself**.\n\nAccess tokens bound to some specific user ID are called ***online*** tokens. Access tokens bound only to the app itself are called ***offline*** tokens.\n\n## Versioning\n\nVersioning is implemented using the `use-mergado-api-version` header. The valid syntax is:\n`use-mergado-api-version`: \"YYYY-MM-DD\", eg. `use-mergado-api-version`: \"2022-01-19\".\n\nFor any endpoint,\n\n* in case of a date X is specified in the `use-mergado-api-version` header, and\n  * there exists only one endpoint version, then the default endpoint version will be used,\n  * there exist endpoint versions valid until dates A and B, and the newest version C, and A < B < X < C holds, then the newest version of the endpoint C will be used,\n  * there exist only endpoint versions valid until the dates A and B, and A < B < X holds (i.e. there is no newest version), then the error 404 will be returned,\n\n* in case of there is no date specified in the `use-mergado-api-version` header, the endpoint valid on 2020-09-07 will be used.\n\nNote that all request and response examples match the latest version.", "title": "Mergado", "version": ""}, "servers": [{"url": "https://api.mergado.com/"}], "paths": {"/": {"get": {"responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"version_for": "2022-01-19"}}}, "schema": {"example": {"version_for": "2022-01-19"}, "properties": {"version_for": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Base"], "description": "Returns date for a current default API implementation that is used when `use-mergado-api-version` header is not provided (see Versioning for more).\n\n**GET** `https://api.mergado.com/`", "summary": "Show API Version"}}, "/access/check": {"post": {"requestBody": {"required": true, "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AccessCheckRequest"}, "examples": {"response": {"value": {"checks": [{"entity_type": "shop", "entity_id": 42, "access": "write"}, {"entity_type": "project", "entity_id": 123, "access": "read"}]}}}}}}, "responses": {"200": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AccessCheckResponse"}, "examples": {"response": {"value": {"results": [{"entity_type": "shop", "entity_id": 42, "access": "write", "allowed": true}, {"entity_type": "project", "entity_id": 123, "access": "read", "allowed": true}]}}}}}, "description": "OK"}, "401": {"description": "Unauthorized"}}, "tags": ["Access"], "description": "Verifies whether the caller (identified by the provided token) has read or write access to one or more target entities.\n\nWhen the token is a JWT with an `aud` field (issued by the app proxy), a **dual access check** is enforced: both the caller and the target app must have independent access to the requested entity.\n\nEach check in the request specifies an `entity_type` (`shop` or `project`), an `entity_id`, and an optional `access` level (`read` or `write`). If `access` is omitted, the endpoint determines the maximum access level.\n\nFor more details, see the [Cross-Platform Communication documentation](https://mergado.github.io/docs/apps/cross-platform-communication.html).\n\n**POST** `https://api.mergado.com/access/check`", "summary": "Check Access"}}, "/accesslogs/{id}/": {"get": {"parameters": [{"description": "ID of a log.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"https": false, "id": "101", "identity": "-", "ip": "111.222.333.444", "referer": "-", "request": "GET /mergadovenaradie-cz-heureka-cz-greagfsdabtrshthgreav.xml HTTP/1.1", "size": 627142, "status": 200, "time": "2016-05-15T08:18:13+00:00", "user": "-", "user_agent": "Heurekabot-Feed/1.0 (+http://sluzby.heureka.cz/napoveda/heurekabot/)"}}}, "schema": {"example": {"https": false, "id": "101", "identity": "-", "ip": "111.222.333.444", "referer": "-", "request": "GET /mergadovenaradie-cz-heureka-cz-greagfsdabtrshthgreav.xml HTTP/1.1", "size": 627142, "status": 200, "time": "2016-05-15T08:18:13+00:00", "user": "-", "user_agent": "Heurekabot-Feed/1.0 (+http://sluzby.heureka.cz/napoveda/heurekabot/)"}, "properties": {"https": {"type": "boolean"}, "id": {"type": "string"}, "identity": {"type": "string"}, "ip": {"type": "string"}, "referer": {"type": "string"}, "request": {"type": "string"}, "size": {"type": "number"}, "status": {"type": "number"}, "time": {"type": "string"}, "user": {"type": "string"}, "user_agent": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}, "410": {"content": {"application/json": {"examples": {"response": {"value": {"message": "The associated project for this log has been deleted"}}}, "schema": {"example": {"message": "The associated project for this log has been deleted"}, "properties": {"message": {"type": "string"}}, "type": "object"}}}, "description": "Gone", "headers": {}}}, "tags": ["Logs"], "description": "Fetches an access log with the given ID. If the related project has been deleted, 410 is returned instead.\n\n**OAuth2 Scope:** `project.logs.read`.\n\n**GET** `https://api.mergado.com/accesslogs/id/`", "summary": "Get an Access Log"}}, "/applylogs/{id}/": {"get": {"parameters": [{"description": "ID of a log.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"applied_to_all_items": true, "duration": 1.548, "finished_at": "2016-05-18T15:16:26+00:00", "id": "155", "items": 1, "rules": [{"processed_products": 64, "products": 64, "rule_id": "1"}], "started_at": "2016-05-18T15:16:25+00:00", "user_id": "1"}}}, "schema": {"example": {"applied_to_all_items": true, "duration": 1.548, "finished_at": "2016-05-18T15:16:26+00:00", "id": "155", "items": 1, "rules": [{"processed_products": 64, "products": 64, "rule_id": "1"}], "started_at": "2016-05-18T15:16:25+00:00", "user_id": "1"}, "properties": {"applied_to_all_items": {"type": "boolean"}, "duration": {"type": "number"}, "finished_at": {"type": "string"}, "id": {"type": "string"}, "items": {"type": "number"}, "rules": {"items": {"properties": {"processed_products": {"type": "number"}, "products": {"type": "number"}, "rule_id": {"type": "string"}}, "type": "object"}, "type": "array"}, "started_at": {"type": "string"}, "user_id": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Logs"], "description": "Fetches an apply log with the given ID.\n**OAuth2 Scope:** `project.logs.read`.\n**GET** `https://api.mergado.com/applylogs/id/`\n\n**Attributes:**\n* **id (string):** ID of the log.\n* **duration (number):** How long the action took.\n* **started_at (string):** When the action started.\n* **finished_at (string):** When the action ended.\n* **rules (array):** List of rules involved in the action.\n* **user_id (string):** ID of the user who started the action.\n* **applied_to_all_items (boolean):** Whether the action has been performed on all products.", "summary": "Get an Apply Log"}}, "/apps/": {"get": {"summary": "List Apps", "tags": ["Apps"], "description": "Lists all applications in Mergado.\n\n **GET** `https://api.mergado.com/apps/`", "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"type": "object", "properties": {"data": {"type": "array", "items": {"$ref": "#/components/schemas/Apps"}}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}}, "examples": {"response": {"value": {"data": [{"creation_date": "2016-11-02T09:12:09+00:00", "forum_url": "bidding-fox", "latest_release_date": "2016-11-02T09:12:10+00:00", "title": "Bidding Fox", "trial_period": 10, "type": "project"}], "limit": 10, "offset": 0, "total_results": 1}}}}}, "headers": {}}}}}, "/apps/{id}/": {"get": {"parameters": [{"description": "Application name.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"creation_date": "2016-11-02T09:12:09+00:00", "forum_url": "logbook", "latest_release_date": "2016-11-02T09:12:10+00:00", "title": "Log Book Application", "trial_period": 10, "type": "project"}}}, "schema": {"example": {"creation_date": "2016-11-02T09:12:09+00:00", "forum_url": "logbook", "latest_release_date": "2016-11-02T09:12:10+00:00", "title": "Log Book Application", "trial_period": 10, "type": "project"}, "properties": {"creation_date": {"type": "string"}, "forum_url": {"type": "string"}, "latest_release_date": {"type": "string"}, "title": {"type": "string"}, "trial_period": {"type": "number"}, "type": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Apps"], "description": "Returns application for given application name. **GET** `https://api.mergado.com/apps/id/`", "summary": "Get App by Name"}}, "/apps/{app_full_name}/proxy/{path}": {"get": {"parameters": [{"description": "Full name of the target app (e.g. `myapp` or `myapp.dev`).", "in": "path", "name": "app_full_name", "required": true, "schema": {"type": "string"}}, {"description": "Path to forward to the target app's API.", "in": "path", "name": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Proxied response from the target app."}, "401": {"description": "Unauthorized — missing or invalid token."}, "404": {"description": "App not found or app has no API URL configured."}}, "tags": ["App Proxy"], "description": "Transparent proxy to a registered app's API. Any HTTP request sent to this endpoint is intercepted by Mergado, which:\n\n1. Verifies that the caller holds a valid Mergado API token.\n2. Computes the scope intersection between the caller's scopes and the target app's registered scopes.\n3. Generates a short-lived JWT token containing the caller's identity, intersected scopes, and the target app as `aud` (audience).\n4. Forwards the request to the target app's configured `api_url` with the JWT in the `Authorization` header.\n\nThe JWT token contains the following fields:\n- `entity_id` — ID of the entity making the request.\n- `entity_type` — Type of the entity: `user`, `shop`, or `project`.\n- `scopes` — Intersection of the caller's OAuth scopes and the target app's scopes.\n- `aud` — Full name of the target app (audience).\n- `exp` — Expiration timestamp (~5 minutes).\n\nAll HTTP methods (GET, POST, PUT, PATCH, DELETE) are supported. Query parameters, headers, and request body are forwarded unchanged.\n\nFor more details, see the [Cross-Platform Communication documentation](https://mergado.github.io/docs/apps/cross-platform-communication.html).\n\n**GET** `https://api.mergado.com/apps/{app_full_name}/proxy/{path}`", "summary": "Proxy Request to App"}, "post": {"parameters": [{"description": "Full name of the target app.", "in": "path", "name": "app_full_name", "required": true, "schema": {"type": "string"}}, {"description": "Path to forward to the target app's API.", "in": "path", "name": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Proxied response from the target app."}, "401": {"description": "Unauthorized."}, "404": {"description": "App not found or no API URL configured."}}, "tags": ["App Proxy"], "description": "Forwards a POST request to the target app's API with JWT authorization.", "summary": "Proxy POST Request to App"}, "put": {"parameters": [{"description": "Full name of the target app.", "in": "path", "name": "app_full_name", "required": true, "schema": {"type": "string"}}, {"description": "Path to forward to the target app's API.", "in": "path", "name": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Proxied response from the target app."}, "401": {"description": "Unauthorized."}, "404": {"description": "App not found or no API URL configured."}}, "tags": ["App Proxy"], "description": "Forwards a PUT request to the target app's API with JWT authorization.", "summary": "Proxy PUT Request to App"}, "patch": {"parameters": [{"description": "Full name of the target app.", "in": "path", "name": "app_full_name", "required": true, "schema": {"type": "string"}}, {"description": "Path to forward to the target app's API.", "in": "path", "name": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Proxied response from the target app."}, "401": {"description": "Unauthorized."}, "404": {"description": "App not found or no API URL configured."}}, "tags": ["App Proxy"], "description": "Forwards a PATCH request to the target app's API with JWT authorization.", "summary": "Proxy PATCH Request to App"}, "delete": {"parameters": [{"description": "Full name of the target app.", "in": "path", "name": "app_full_name", "required": true, "schema": {"type": "string"}}, {"description": "Path to forward to the target app's API.", "in": "path", "name": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Proxied response from the target app."}, "401": {"description": "Unauthorized."}, "404": {"description": "App not found or no API URL configured."}}, "tags": ["App Proxy"], "description": "Forwards a DELETE request to the target app's API with JWT authorization.", "summary": "Proxy DELETE Request to App"}}, "/elements/{id}/": {"delete": {"parameters": [{"description": "ID of an element.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"204": {"description": "No Content", "headers": {}}}, "tags": ["Elements"], "description": "Delete the specified element and all of its children.\n\n**OAuth2 Scope:** `project.elements.write`\n\n**DELETE** `https://api.mergado.com/elements/id/`", "summary": "Delete an Element"}, "get": {"parameters": [{"description": "ID of an element.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"hidden": false, "is_attribute": false, "name": "SHIPPING", "order": 3, "origin": "manual", "parent_id": null}}}, "schema": {"example": {"hidden": false, "is_attribute": false, "name": "SHIPPING", "order": 3, "origin": "manual", "parent_id": null}, "properties": {"hidden": {"type": "boolean"}, "is_attribute": {"type": "boolean"}, "name": {"type": "string"}, "order": {"type": "number"}, "origin": {"type": "string"}, "parent_id": {"nullable": true}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Elements"], "description": "Returns an element.\n\n**OAuth2 Scope:** `project.elements.read`\n\n**GET** `https://api.mergado.com/elements/id/`", "summary": "Get an Element"}}, "/eshop/{id}/eventlogs/": {"get": {"parameters": [{"description": "ID of a e-shop.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"created_at": "2020-09-18T08:20:14+00:00", "event": "deleted", "id": "1", "source": "project", "subject_id": "1", "subject_name": "Heureka.cz", "user_id": "1", "user_name": "Jon Doe"}, {"created_at": "2020-09-18T09:09:01+00:00", "event": "invitation", "id": "2", "source": "eshop", "subject_id": "3", "subject_name": "test@example.com - reader", "user_id": "1", "user_name": "Jon Doe"}, {"created_at": "2020-09-18T12:58:08+00:00", "event": "created", "id": "3", "source": "keychain", "subject_id": null, "subject_name": "googleanalytics", "user_id": "2", "user_name": "Rája Test"}, {"created_at": "2020-09-18T13:02:37+00:00", "event": "deleted", "id": "4", "source": "keychain", "subject_id": null, "subject_name": "google_analytics", "user_id": "1", "user_name": "Jon Doe"}], "limit": 10, "offset": 0, "total_results": 4}}}, "schema": {"example": {"data": [{"created_at": "2020-09-18T08:20:14+00:00", "event": "deleted", "id": "1", "source": "project", "subject_id": "1", "subject_name": "Heureka.cz", "user_id": "1", "user_name": "Jon Doe"}, {"created_at": "2020-09-18T09:09:01+00:00", "event": "invitation", "id": "2", "source": "eshop", "subject_id": "3", "subject_name": "test@example.com - reader", "user_id": "1", "user_name": "Jon Doe"}, {"created_at": "2020-09-18T12:58:08+00:00", "event": "created", "id": "3", "source": "keychain", "subject_id": null, "subject_name": "googleanalytics", "user_id": "2", "user_name": "Rája Test"}, {"created_at": "2020-09-18T13:02:37+00:00", "event": "deleted", "id": "4", "source": "keychain", "subject_id": null, "subject_name": "google_analytics", "user_id": "1", "user_name": "Jon Doe"}], "limit": 10, "offset": 0, "total_results": 4}, "properties": {"data": {"items": {"properties": {"created_at": {"type": "string"}, "event": {"type": "string"}, "id": {"type": "string"}, "source": {"type": "string"}, "subject_id": {"nullable": true, "type": "string"}, "subject_name": {"type": "string"}, "user_id": {"type": "string"}, "user_name": {"type": "string"}}, "required": ["id", "created_at", "user_id", "user_name", "source", "event", "subject_id", "subject_name"], "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Logs"], "description": "Fetches all e-shop events logs.\nPossible sources:\n    - **project**\n        Possible events:\n            - `created` - Project created\n            - `deleted` - Project deleted\n            - `enabled` - Project enabled\n            - `disabled` - Project disabled\n    - **eshop**\n        Possible events:\n            - `invitation` - Invitation send\n    - **keychain** - Events of keychain app\n        Possible events:\n            - `created` - Connection to provider created\n            - `deleted` - Connection to provider deleted\n\n**OAuth2 Scope:** `eshop.read`\n\n**GET** `https://api.mergado.com/eshop/id/eventlogs/`", "summary": "Get E-shop Event Logs"}}, "/exportlogs/{id}/": {"get": {"parameters": [{"description": "ID of a log.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"duration": 5, "finished_at": null, "id": "1", "initial": false, "items": 20, "processed_items": 20, "started_at": "2016-06-01T15:52:45+00:00", "user_id": "1"}}}, "schema": {"example": {"duration": 5, "finished_at": null, "id": "1", "initial": false, "items": 20, "processed_items": 20, "started_at": "2016-06-01T15:52:45+00:00", "user_id": "1"}, "properties": {"duration": {"type": "number"}, "finished_at": {"nullable": true}, "id": {"type": "string"}, "initial": {"type": "boolean"}, "items": {"type": "number"}, "processed_items": {"type": "number"}, "started_at": {"type": "string"}, "user_id": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Logs"], "description": "Fetches an export log with the given ID.\n\n**OAuth2 Scope:** `project.logs.read`\n\n**GET** `https://api.mergado.com/exportlogs/id/`", "summary": "Get an Export Log"}}, "/feedaudit/audits/{id}/products/": {"get": {"parameters": [{"description": "ID of the audit.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"audit_id": "51768ba7ed14f444772d6137", "elements": [{"elements": [], "tag": "PRODUCT", "value": "Hovězí plíce 100 g"}, {"elements": [], "tag": "DESCRIPTION", "value": "<P>Čistě dietní krm...</div>"}, {"elements": [], "tag": "DELIVERY_DATE", "value": 1}, {"elements": [], "tag": "PRICE_VAT", "value": 240.5}], "id": "51768ba7ed14f444772d6120"}], "limit": 10, "offset": 0, "total_results": 1}}}, "schema": {"example": {"data": [{"audit_id": "51768ba7ed14f444772d6137", "elements": [{"elements": [], "tag": "PRODUCT", "value": "Hovězí plíce 100 g"}, {"elements": [], "tag": "DESCRIPTION", "value": "<P>Čistě dietní krm...</div>"}, {"elements": [], "tag": "DELIVERY_DATE", "value": 1}, {"elements": [], "tag": "PRICE_VAT", "value": 240.5}], "id": "51768ba7ed14f444772d6120"}], "limit": 10, "offset": 0, "total_results": 1}, "properties": {"data": {"items": {"properties": {"audit_id": {"type": "string"}, "elements": {"items": {"properties": {"elements": {"items": {}, "type": "array"}, "tag": {"type": "string"}, "value": {"oneOf": [{"type": "string"}, {"type": "number"}]}}, "required": ["tag", "value", "elements"], "type": "object"}, "type": "array"}, "id": {"type": "string"}}, "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Feed Audits"], "description": "Returns all products of a specific audit.\n\n**OAuth2 Scope:** `projects.feedaudit.read`\n\n**GET** `https://api.mergado.com/feedaudit/audits/id/products/`", "summary": "List Audit Products"}}, "/feedaudit/products/{id}": {"get": {"parameters": [{"description": "ID of the product.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"audit_id": "51768ba7ed14f444772d6137", "elements": [{"elements": [], "tag": "PRODUCT", "value": "Hovězí plíce 100 g"}, {"elements": [], "tag": "DESCRIPTION", "value": "<P>Čistě dietní krm...</div>"}, {"elements": [], "tag": "DELIVERY_DATE", "value": 1}, {"elements": [], "tag": "PRICE_VAT", "value": 240.5}], "id": "51768ba7ed14f444772d6120"}}}, "schema": {"example": {"audit_id": "51768ba7ed14f444772d6137", "elements": [{"elements": [], "tag": "PRODUCT", "value": "Hovězí plíce 100 g"}, {"elements": [], "tag": "DESCRIPTION", "value": "<P>Čistě dietní krm...</div>"}, {"elements": [], "tag": "DELIVERY_DATE", "value": 1}, {"elements": [], "tag": "PRICE_VAT", "value": 240.5}], "id": "51768ba7ed14f444772d6120"}, "properties": {"audit_id": {"type": "string"}, "elements": {"items": {"properties": {"elements": {"items": {}, "type": "array"}, "tag": {"type": "string"}, "value": {"oneOf": [{"type": "string"}, {"type": "number"}]}}, "required": ["tag", "value", "elements"], "type": "object"}, "type": "array"}, "id": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Feed Audits"], "description": "Returns a single product resource.\n\n**OAuth2 Scope:** `projects.feedaudit.read`\n\n**GET** `https://api.mergado.com/feedaudit/products/id`", "summary": "Get a Product"}}, "/feedaudit/products/{id}/issues/": {"get": {"parameters": [{"description": "ID of the product.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"info": {"element": "PRODUCT"}, "audit_id": "51768ba7ed14f444772d6137", "checked_at": "2013-04-23T13:24:55+00:00", "feed_types": ["heureka", "zbozi"], "id": "51768ba7ed14f444772d6138", "product_id": "51768ba7ed14f444772d6120", "validator": "is_present_product", "verdict": "error"}], "limit": 10, "offset": 0, "total_results": 1}}}, "schema": {"example": {"data": [{"info": {"element": "PRODUCT"}, "audit_id": "51768ba7ed14f444772d6137", "checked_at": "2013-04-23T13:24:55+00:00", "feed_types": ["heureka", "zbozi"], "id": "51768ba7ed14f444772d6138", "product_id": "51768ba7ed14f444772d6120", "validator": "is_present_product", "verdict": "error"}], "limit": 10, "offset": 0, "total_results": 1}, "properties": {"data": {"items": {"properties": {"info": {"properties": {"element": {"type": "string"}}, "type": "object"}, "audit_id": {"type": "string"}, "checked_at": {"type": "string"}, "feed_types": {"items": {"type": "string"}, "type": "array"}, "id": {"type": "string"}, "product_id": {"type": "string"}, "validator": {"type": "string"}, "verdict": {"type": "string"}}, "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Feed Audits"], "description": "Returns all issues (problematic validations) of a specific product.\n\n**OAuth2 Scope:** `projects.feedaudit.read`\n\n**GET** `https://api.mergado.com/feedaudit/products/id/issues/`", "summary": "List Product's Issues"}}, "/feedaudits/issues/{id}/": {"get": {"parameters": [{"description": "ID of the issue.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"info": {"element": "PRODUCT"}, "audit_id": "51768ba7ed14f444772d6137", "checked_at": "2013-04-23T13:24:55+00:00", "feed_types": ["heureka", "zbozi"], "id": "51768ba7ed14f444772d6138", "level": "recommendation", "product_id": "51768ba7ed14f444772d6120", "validator": "is_present_product", "verdict": "error"}}}, "schema": {"example": {"info": {"element": "PRODUCT"}, "audit_id": "51768ba7ed14f444772d6137", "checked_at": "2013-04-23T13:24:55+00:00", "feed_types": ["heureka", "zbozi"], "id": "51768ba7ed14f444772d6138", "level": "recommendation", "product_id": "51768ba7ed14f444772d6120", "validator": "is_present_product", "verdict": "error"}, "properties": {"info": {"properties": {"element": {"type": "string"}}, "type": "object"}, "audit_id": {"type": "string"}, "checked_at": {"type": "string"}, "feed_types": {"items": {"type": "string"}, "type": "array"}, "id": {"type": "string"}, "level": {"type": "string"}, "product_id": {"type": "string"}, "validator": {"type": "string"}, "verdict": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Feed Audits"], "description": "Returns single issue with given `id`.\n\n**OAuth2 Scope:** `projects.feedaudit.read`\n\n\n**GET** `https://api.mergado.com/feedaudits/issues/id/`", "summary": "Get an Issue"}}, "/feedaudits/{id}/": {"get": {"parameters": [{"description": "ID of the audit.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"encoding": "utf-8", "error": null, "feed_types": ["heureka.cz", "zbozi.cz"], "feed_url": "https://www.example.com/feed.xml", "finished_at": null, "id": "51768ba7ed14f444772d6137", "parser_type": "heureka.cz", "product_count": 8367, "progress": 40, "shop_name": "Example.com", "started_at": "2013-04-23T13:24:55+00:00", "status": "in_progress", "time": 254, "webhook_url": "http://www.example.com/ping.php"}}}, "schema": {"example": {"encoding": "utf-8", "error": null, "feed_types": ["heureka.cz", "zbozi.cz"], "feed_url": "https://www.example.com/feed.xml", "finished_at": null, "id": "51768ba7ed14f444772d6137", "parser_type": "heureka.cz", "product_count": 8367, "progress": 40, "shop_name": "Example.com", "started_at": "2013-04-23T13:24:55+00:00", "status": "in_progress", "time": 254, "webhook_url": "http://www.example.com/ping.php"}, "properties": {"encoding": {"type": "string"}, "error": {"nullable": true}, "feed_types": {"items": {"type": "string"}, "type": "array"}, "feed_url": {"type": "string"}, "finished_at": {"nullable": true}, "id": {"type": "string"}, "parser_type": {"type": "string"}, "product_count": {"type": "number"}, "progress": {"type": "number"}, "shop_name": {"type": "string"}, "started_at": {"type": "string"}, "status": {"type": "string"}, "time": {"type": "number"}, "webhook_url": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Feed Audits"], "description": "Returns the requested audit resource.\n\n**OAuth2 Scope:** `projects.feedaudit.read`\n\n**GET** `https://api.mergado.com/feedaudits/{id}/{?fields`", "summary": "Get an Audit"}}, "/feedaudits/{id}/issues/": {"get": {"parameters": [{"description": "ID of the audit.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"info": {"element": "PRODUCT"}, "audit_id": "51768ba7ed14f444772d6137", "checked_at": "2013-04-23 13:24:55+0000", "feed_types": ["heureka.cz", "zbozi.cz"], "id": "51768ba7ed14f444772d6138", "level": "recommendation", "product_id": "57330212ba49891750549828", "validator": "is_present_product", "verdict": "error"}], "limit": 10, "offset": 0, "total_results": 1}}}, "schema": {"example": {"data": [{"info": {"element": "PRODUCT"}, "audit_id": "51768ba7ed14f444772d6137", "checked_at": "2013-04-23 13:24:55+0000", "feed_types": ["heureka.cz", "zbozi.cz"], "id": "51768ba7ed14f444772d6138", "level": "recommendation", "product_id": "57330212ba49891750549828", "validator": "is_present_product", "verdict": "error"}], "limit": 10, "offset": 0, "total_results": 1}, "properties": {"data": {"items": {"properties": {"info": {"properties": {"element": {"type": "string"}}, "type": "object"}, "audit_id": {"type": "string"}, "checked_at": {"type": "string"}, "feed_types": {"items": {"type": "string"}, "type": "array"}, "id": {"type": "string"}, "level": {"type": "string"}, "product_id": {"type": "string"}, "validator": {"type": "string"}, "verdict": {"type": "string"}}, "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Feed Audits"], "description": "Returns all issues (problematic validations) of a specific audit.\n\n**OAuth2 Scope:** `projects.feedaudit.read`\n\n**GET** `https://api.mergado.com/feedaudits/id/issues/`", "summary": "List Audit Issues"}}, "/formats/": {"get": {"responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": ["heureka.cz", "hledejceny.cz", "hyperzbozi.cz", "srovname.cz", "zbozi.cz", "heureka.cz-kosik", "heureka.sk", "najnakup.sk", "pricemania.sk"]}}, "schema": {"example": ["heureka.cz", "hledejceny.cz", "hyperzbozi.cz", "srovname.cz", "zbozi.cz", "heureka.cz-kosik", "heureka.sk", "najnakup.sk", "pricemania.sk"], "items": {"type": "string"}, "type": "array"}}}, "description": "OK", "headers": {}}}, "tags": ["Base"], "description": "Returns a list of IDs of all supported XML feed's formats. **GET** `https://api.mergado.com/formats/`", "summary": "List Supported Formats"}}, "/formats/{format_id}": {"get": {"parameters": [{"description": "format ID.", "in": "path", "name": "format_id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"id": "heureka.cz", "country": "cz", "name": "Heureka.cz [cz]", "ga_sources": ["heureka.cz", "seznamzbozi.cz", "srovnanicen.cz", "nejlepsiceny.cz"], "is_importable": true, "is_exportable": true}}}, "schema": {"example": {"id": "heureka.cz", "country": "cz", "name": "Heureka.cz [cz]", "ga_sources": ["heureka.cz", "seznamzbozi.cz", "srovnanicen.cz", "nejlepsiceny.cz"], "is_importable": true, "is_exportable": true}, "type": "object", "properties": {"id": {"type": "string"}, "country": {"type": "string"}, "name": {"type": "string"}, "ga_sources": {"type": "array", "items": {"type": "string"}}, "is_importable": {"type": "boolean"}, "is_exportable": {"type": "boolean"}}}}}, "description": "OK", "headers": {}}}, "tags": ["Base"], "description": "Returns requested format by its ID.\n\n**Oauth2 Scope:** `project.read`|`shop.read`|`user.formats.read`.\n\n**GET** `https://api.mergado.com/formats/format_id`", "summary": "Get Format"}}, "/formats/{format_id}/specification": {"get": {"parameters": [{"description": "format ID.", "in": "path", "name": "format_id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"id": "xml.Heureka", "file_format": "xml", "global_schema": {"SHOP": {"semantic": "root", "mergado_xml": ["CHANNEL"], "children": {"SHOPITEM": {"mergado_xml": ["ITEM"]}}}}, "item_schema": {"ITEM_ID_DEPRECATED": {"is_deprecated": true, "is_unique": true, "semantic": "item_id", "mergado_xml": ["ITEM_ID"]}, "ITEM_ID": {"is_unique": true, "semantic": "item_id", "mergado_xml": ["ITEM_ID"]}, "PRODUCTNAME": {"is_unique": true, "semantic": "name_exact", "mergado_xml": ["NAME_EXACT"]}, "URL": {"is_unique": true, "semantic": "url", "mergado_xml": ["URL"]}, "PRODUCT": {"is_unique": true, "semantic": "name_commercial", "mergado_xml": ["NAME_COMMERCIAL"]}, "EAN": {"is_unique": true, "semantic": "ean", "mergado_xml": ["EAN"]}, "DESCRIPTION": {"semantic": "description", "mergado_xml": ["DESCRIPTION"]}, "IMGURL": {"is_unique": true, "semantic": "image", "mergado_xml": ["IMAGE"]}, "IMGURL_ALTERNATIVE": {"semantic": "image_alternative", "mergado_xml": ["IMAGE_ALTERNATIVE"]}, "VIDEO_URL": {"semantic": "video", "mergado_xml": ["VIDEO"]}, "PRICE_VAT": {"semantic": "price_vat", "mergado_xml": ["PRICE_VAT"]}, "VAT": {"semantic": "vat", "mergado_xml": ["VAT"]}, "ITEM_TYPE": {"semantic": "item_type"}, "PARAM": {"semantic": "param", "mergado_xml": ["PARAM"], "children": {"PARAM_NAME": {"semantic": "param_name", "mergado_xml": ["NAME"]}, "VAL": {"semantic": "param_value", "mergado_xml": ["VALUE"]}}}, "MANUFACTURER": {"semantic": "brand", "mergado_xml": ["BRAND"]}, "CATEGORYTEXT": {"semantic": "category", "mergado_xml": ["CATEGORY"]}, "ISBN": {"is_unique": true, "semantic": "isbn", "mergado_xml": ["ISBN"]}, "HEUREKA_CPC": {"semantic": "cpc", "mergado_xml": ["CPC"]}, "DELIVERY_DATE": {"semantic": "delivery_days", "mergado_xml": ["DELIVERY_DAYS"]}, "DELIVERY": {"semantic": "delivery", "mergado_xml": ["DELIVERY"], "children": {"DELIVERY_ID": {"semantic": "delivery_id", "mergado_xml": ["ID"]}, "DELIVERY_PRICE": {"semantic": "delivery_price", "mergado_xml": ["PRICE"]}, "DELIVERY_PRICE_COD": {"semantic": "delivery_price_cod", "mergado_xml": ["PRICE_COD"]}}}, "ITEMGROUP_ID": {"semantic": "itemgroup_id", "mergado_xml": ["ITEMGROUP_ID"]}, "ACCESSORY": {"semantic": "accessory", "mergado_xml": ["ACCESSORY"]}, "DUES": {"semantic": "dues", "mergado_xml": ["DUES"]}, "GIFT": {"semantic": "benefit", "mergado_xml": ["BENEFIT"], "children": {"ID": {"is_attribute": true, "semantic": "gift_id"}}}, "EXTENDED_WARRANTY": {"semantic": "extended_warranty_wrapper", "children": {"VAL": {"semantic": "warranty", "mergado_xml": ["WARRANTY"]}, "DESC": {"semantic": "extended_warranty_description"}}}, "SPECIAL_SERVICE": {"semantic": "benefit", "mergado_xml": ["BENEFIT"]}, "SALES_VOUCHER": {"semantic": "voucher", "children": {"CODE": {"semantic": "voucher_code"}, "DESC": {"semantic": "voucher_description"}}}}}}}, "schema": {"type": "object", "properties": {"id": {"type": "string"}, "file_format": {"type": "string"}, "global_schema": {"type": "object"}, "item_schema": {"type": "object"}}}}}, "description": "OK", "headers": {}}}, "tags": ["Base"], "description": "Returns requested format specification by its format ID. \n\n**Warning:** Format specifications could be changed to be up to date with the newest versions provided by the format authors.\n\n**Oauth2 Scope:** `project.read`|`shop.read`|`user.formats.read`.\n\n**GET** `https://api.mergado.com/formats/format_id/specification`.", "summary": "Get Format Specification"}}, "/heureka/categories/": {"get": {"responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": [{"children": [{"id": "2210", "name": "Auto-moto"}, {"id": "2209", "name": "Bílé zboží"}], "full_name": "Heureka.cz", "heureka_id": "123", "id": "1", "min_cpcs": [], "name": "Heureka.cz", "parent": null}, {"children": [{"id": "5", "name": "Auto-moto"}, {"id": "15", "name": "Biela technika"}], "full_name": "Heureka.sk", "heureka_id": "768", "id": "2", "min_cpcs": [], "name": "Heureka.sk", "parent": null}]}}, "schema": {"example": [{"children": [{"id": "2210", "name": "Auto-moto"}, {"id": "2209", "name": "Bílé zboží"}], "full_name": "Heureka.cz", "heureka_id": "123", "id": "1", "min_cpcs": [], "name": "Heureka.cz", "parent": null}, {"children": [{"id": "5", "name": "Auto-moto"}, {"id": "15", "name": "Biela technika"}], "full_name": "Heureka.sk", "heureka_id": "768", "id": "2", "min_cpcs": [], "name": "Heureka.sk", "parent": null}], "items": {"properties": {"children": {"items": {"properties": {"id": {"type": "string"}, "name": {"type": "string"}}, "required": ["id", "name"], "type": "object"}, "type": "array"}, "full_name": {"type": "string"}, "heureka_id": {"type": "string"}, "id": {"type": "string"}, "min_cpcs": {"items": {}, "type": "array"}, "name": {"type": "string"}, "parent": {"nullable": true}}, "required": ["id", "name", "full_name", "heureka_id", "parent", "children", "min_cpcs"], "type": "object"}, "type": "array"}}}, "description": "OK", "headers": {}}}, "tags": ["Heureka Categories"], "description": "Returns list of all Heureka categories. **GET** `hhttps://api.mergado.com/heureka/categories/`", "summary": "List Categories"}}, "/heureka/categories/{id}/": {"get": {"parameters": [{"description": "ID of the category.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"children": [{"id": "463", "name": "Hracie karty - poker"}, {"id": "464", "name": "Poker sady"}, {"id": "465", "name": "Príslušenstvo pre poker"}, {"id": "466", "name": "Stoly na poker"}, {"id": "467", "name": "Žetóny - poker"}], "full_name": "Šport | Poker", "heureka_id": "502", "id": "68", "min_cpcs": [{"to_price": "10.0", "value": 0.03}, {"to_price": "40.0", "value": 0.05}, {"to_price": "110.0", "value": 0.05}, {"to_price": "185.0", "value": 0.07}, {"to_price": "370.0", "value": 0.09}, {"to_price": null, "value": 0.11}], "name": "Poker", "parent": {"id": "7", "name": "Šport"}}}}, "schema": {"example": {"children": [{"id": "463", "name": "Hracie karty - poker"}, {"id": "464", "name": "Poker sady"}, {"id": "465", "name": "Príslušenstvo pre poker"}, {"id": "466", "name": "Stoly na poker"}, {"id": "467", "name": "Žetóny - poker"}], "full_name": "Šport | Poker", "heureka_id": "502", "id": "68", "min_cpcs": [{"to_price": "10.0", "value": 0.03}, {"to_price": "40.0", "value": 0.05}, {"to_price": "110.0", "value": 0.05}, {"to_price": "185.0", "value": 0.07}, {"to_price": "370.0", "value": 0.09}, {"to_price": null, "value": 0.11}], "name": "Poker", "parent": {"id": "7", "name": "Šport"}}, "properties": {"children": {"items": {"properties": {"id": {"type": "string"}, "name": {"type": "string"}}, "required": ["id", "name"], "type": "object"}, "type": "array"}, "full_name": {"type": "string"}, "heureka_id": {"type": "string"}, "id": {"type": "string"}, "min_cpcs": {"items": {"properties": {"to_price": {"nullable": true, "type": "string"}, "value": {"type": "number"}}, "required": ["to_price", "value"], "type": "object"}, "type": "array"}, "name": {"type": "string"}, "parent": {"properties": {"id": {"type": "string"}, "name": {"type": "string"}}, "type": "object"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Heureka Categories"], "description": "Returns a single Heureka category. **GET** `https://api.mergado.com/heureka/categories/id/`", "summary": "Get a Category"}}, "/importlogs/{id}/": {"get": {"parameters": [{"description": "ID of a log.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"duration": 2.352, "finished_at": "2016-05-18T15:16:25+00:00", "id": "75", "items": 1, "items_created": 1, "items_processed": 1, "items_removed": 0, "items_updated": 0, "started_at": "2016-05-18T15:16:23+00:00", "user_id": "1"}}}, "schema": {"example": {"duration": 2.352, "finished_at": "2016-05-18T15:16:25+00:00", "id": "75", "items": 1, "items_created": 1, "items_processed": 1, "items_removed": 0, "items_updated": 0, "started_at": "2016-05-18T15:16:23+00:00", "user_id": "1"}, "properties": {"duration": {"type": "number"}, "finished_at": {"type": "string"}, "id": {"type": "string"}, "items": {"type": "number"}, "items_created": {"type": "number"}, "items_processed": {"type": "number"}, "items_removed": {"type": "number"}, "items_updated": {"type": "number"}, "started_at": {"type": "string"}, "user_id": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Logs"], "description": "Fetches an import log with the given ID.\n\n**OAuth2 Scope:** `project.logs.read`\n\n**GET** `https://api.mergado.com/importlogs/id/`", "summary": "Get an Import Log"}}, "/maintenance": {"get": {"responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"from": "2018-08-08T13:00:00+00:00", "to": "2018-08-08T13:30:00+00:00", "type": "scheduled_maintenance"}, {"from": "2018-07-26T13:00:00+00:00", "to": "2018-07-26T13:15:00+00:00", "type": "scheduled_maintenance"}], "limit": 10, "offset": 0, "total_results": 2}}}, "schema": {"type": "object", "properties": {"data": {"type": "array", "items": {"type": "object", "properties": {"from": {"type": "string"}, "to": {"type": "string"}, "type": {"type": "string"}}}}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "example": {"data": [{"from": "2018-08-08T13:00:00+00:00", "to": "2018-08-08T13:30:00+00:00", "type": "scheduled_maintenance"}, {"from": "2018-07-26T13:00:00+00:00", "to": "2018-07-26T13:15:00+00:00", "type": "scheduled_maintenance"}], "limit": 10, "offset": 0, "total_results": 2}}}}, "description": "OK", "headers": {}}}, "tags": ["Base"], "description": "Returns information about maintenance. **GET** `https://api.mergado.com/maintenance`", "summary": "Show maintenance info"}}, "/me/": {"get": {"responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"city": "Brno", "company": "Mergado", "country": "cz", "dic": "00000000", "email": "lorem.ipsum@example.com", "fakturoid_id": null, "first_name": "Lorem", "ico": "00000000", "id": "6", "invoice_months": 1, "last_access": "2016-03-21T16:32:32+00:00", "last_name": "Ipsum", "locale": "cs_CZ", "name": "Lorem Ipsum", "postcode": "61200", "registered_at": "2015-11-03T16:08:17+00:00", "send_summary": false, "street": "Palackého 123/456", "timezone": "Europe/Prague", "timezone_offset": null, "username": "loremipsum"}}}, "schema": {"example": {"city": "Brno", "company": "Mergado", "country": "cz", "dic": "00000000", "email": "lorem.ipsum@example.com", "fakturoid_id": null, "first_name": "Lorem", "ico": "00000000", "id": "6", "invoice_months": 1, "last_access": "2016-03-21T16:32:32+00:00", "last_name": "Ipsum", "locale": "cs_CZ", "name": "Lorem Ipsum", "postcode": "61200", "registered_at": "2015-11-03T16:08:17+00:00", "send_summary": false, "street": "Palackého 123/456", "timezone": "Europe/Prague", "timezone_offset": null, "username": "loremipsum"}, "properties": {"city": {"type": "string"}, "company": {"type": "string"}, "country": {"type": "string"}, "dic": {"type": "string"}, "email": {"type": "string"}, "fakturoid_id": {"nullable": true}, "first_name": {"type": "string"}, "ico": {"type": "string"}, "id": {"type": "string"}, "invoice_months": {"type": "number"}, "last_access": {"type": "string"}, "last_name": {"type": "string"}, "locale": {"type": "string"}, "name": {"type": "string"}, "postcode": {"type": "string"}, "registered_at": {"type": "string"}, "send_summary": {"type": "boolean"}, "street": {"type": "string"}, "timezone": {"type": "string"}, "timezone_offset": {"nullable": true}, "username": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Me"], "description": "**Access with ONLINE token only.**\n\nReturns currently authenticated user.\n\n**OAuth2 Scope:** `user.read`\n\n**GET** `https://api.mergado.com/me/`", "summary": "User"}}, "/me/app/enabled/": {"get": {"responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"entity_id": 100, "free_until": "2021-11-05", "is_enabled": true, "paid_until": "2021-12-07"}, {"entity_id": 101, "free_until": "2021-06-05", "is_enabled": true, "paid_until": "2021-08-06"}, {"entity_id": 200, "free_until": "2021-02-05", "is_enabled": false, "paid_until": "2021-04-03"}], "limit": 10, "offset": 0, "total_results": 3}}}, "schema": {"example": {"data": [{"entity_id": 100, "free_until": "2021-11-05", "is_enabled": true, "paid_until": "2021-12-07"}, {"entity_id": 101, "free_until": "2021-06-05", "is_enabled": true, "paid_until": "2021-08-06"}, {"entity_id": 200, "free_until": "2021-02-05", "is_enabled": false, "paid_until": "2021-04-03"}], "limit": 10, "offset": 0, "total_results": 3}, "properties": {"data": {"items": {"properties": {"entity_id": {"type": "number"}, "free_until": {"type": "string"}, "is_enabled": {"type": "boolean"}, "paid_until": {"type": "string"}}, "required": ["entity_id", "is_enabled", "free_until", "paid_until"], "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Me"], "description": "**Access with OFFLINE token only.**\n\nReturns list of entities _(user, shop, project, based on your app type)_ where your Mergado platform app was enabled at least once. The list is sorted from the newest entries to the oldest ones. **GET** `https://api.mergado.com/me/app/enabled/`", "summary": "List enabled instances"}}, "/me/app/enabled/{entity_id}": {"get": {"parameters": [{"description": "Entity ID *(user, shop, project, based on your app type)*.", "in": "path", "name": "entity_id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"disabled_at": null, "disabled_by_user_id": null, "enabled_at": "2020-11-05T09:08:19+00:00", "enabled_by_user_id": 1003}, {"disabled_at": "2021-02-16T12:43:26+00:00", "disabled_by_user_id": 1003, "enabled_at": "2020-11-05T09:08:19+00:00", "enabled_by_user_id": 1001}], "limit": 10, "offset": 0, "total_results": 1}}}, "schema": {"example": {"data": [{"disabled_at": null, "disabled_by_user_id": null, "enabled_at": "2020-11-05T09:08:19+00:00", "enabled_by_user_id": 1003}, {"disabled_at": "2021-02-16T12:43:26+00:00", "disabled_by_user_id": 1003, "enabled_at": "2020-11-05T09:08:19+00:00", "enabled_by_user_id": 1001}], "limit": 10, "offset": 0, "total_results": 1}, "properties": {"data": {"items": {"properties": {"disabled_at": {"nullable": true, "type": "string"}, "disabled_by_user_id": {"nullable": true, "type": "number"}, "enabled_at": {"type": "string"}, "enabled_by_user_id": {"type": "number"}}, "required": ["enabled_at", "enabled_by_user_id", "disabled_at", "disabled_by_user_id"], "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Me"], "description": "**Access with OFFLINE token only.**\n\nReturns history of enabled/disabled state of your app for a specific entity ID.\n\n**GET** `https://api.mergado.com/me/app/enabled/entity_id`", "summary": "Get app history for entity"}}, "/notifications/{id}/": {"get": {"parameters": [{"description": "ID of a notification.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}, {"description": "Comma separated list of field names to return.", "in": "query", "name": "fields", "required": false, "schema": {"type": "string"}}], "responses": {"201": {"content": {"application/json": {"examples": {"response": {"value": {"id": "30", "event": "app_notify", "data": {"title": "E-shop is happy", "body": "There seems not to be a problem with your eshop."}, "channels": ["frontend", "email"], "created_at": "2016-05-11T14:43:18+00:00", "priority": "high", "scope": "owner"}}}, "schema": {"type": "object", "properties": {"id": {"type": "string"}, "event": {"type": "string", "description": "Type of event, e.g. app_notify for notifications sent by Mergado platform apps via API."}, "data": {"type": "object", "properties": {"title": {"type": "string"}, "body": {"type": "string"}}}, "channels": {"type": "array", "items": {"type": "string"}}, "created_at": {"type": "string", "description": "When was notification created."}, "priority": {"type": "string"}, "scope": {"type": "string"}}}}}, "description": "Created", "headers": {}}}, "tags": ["Notifications"], "description": "**OAuth2 Scope:** `user.notify.read`.\n\n**GET** `https://api.mergado.com/notifications/id/?fields=`\n\n**Attributes:**\n* **id (string):** Notification ID.\n* **event (string):** Type of event, e.g. `app_notify` for notifications sent by Mergado platform apps via API.\n* **created_at (string):** When was notification created.\n* **channels (enum):** List of delivery channels (e.g., frontend, email).\n* **priority (enum):** Importance level of the notification.\n* **scope (enum):** Visibility scope (e.g., owner).\n* **data (object):** Additional notification data (title, body).\n---", "summary": "Get a notification"}}, "/pairings/{id}/": {"get": {"parameters": [{"description": "ID of a pairing.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"id": "1693", "created_at": "2016-04-28T17:18:50+00:00", "deleted_at": "2019-03-27T17:18:45+00:00"}}}, "schema": {"properties": {"id": {"type": "string"}, "created_at": {"type": "string"}, "deleted_at": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Pairings"], "description": "Returns a pairing with the given ID.\n\n**OAuth2 Scope:** `project.products.read`\n\n**GET** `https://api.mergado.com/pairings/id/`", "summary": "Get a Pairing"}}, "/products/{id}/": {"get": {"parameters": [{"description": "ID of a product.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": {"attributes": {"TOP_LEVEL_ATTRIBUTE": {"value": "123"}}, "elements": {"IMAGE": [{"value": "img 1"}, {"value": "img 2"}, {"value": "img 3"}], "ITEM_ID": [{"attributes": {"id": "456"}, "input_value": "123", "value": "123"}], "PARAM": [{"elements": {"NAME": [{"value": "Barva"}], "VAL": [{"value": "Černá"}]}}, {"elements": {"NAME": [{"value": "Barva"}], "VAL": [{"value": "Modrá"}]}, "value": "value of PARAM"}], "PRICE": [{"input_value": 69, "value": 69}]}}, "id": "1693", "output_changed_at": null, "updated_at": "2016-04-28T17:18:50+00:00"}}}, "schema": {"example": {"data": {"attributes": {"TOP_LEVEL_ATTRIBUTE": {"value": "123"}}, "elements": {"IMAGE": [{"value": "img 1"}, {"value": "img 2"}, {"value": "img 3"}], "ITEM_ID": [{"attributes": {"id": "456"}, "input_value": "123", "value": "123"}], "PARAM": [{"elements": {"NAME": [{"value": "Barva"}], "VAL": [{"value": "Černá"}]}}, {"elements": {"NAME": [{"value": "Barva"}], "VAL": [{"value": "Modrá"}]}, "value": "value of PARAM"}], "PRICE": [{"input_value": 69, "value": 69}]}}, "id": "1693", "output_changed_at": null, "updated_at": "2016-04-28T17:18:50+00:00"}, "properties": {"data": {"properties": {"attributes": {"properties": {"TOP_LEVEL_ATTRIBUTE": {"properties": {"value": {"type": "string"}}, "type": "object"}}, "type": "object"}, "elements": {"properties": {"IMAGE": {"items": {"properties": {"value": {"type": "string"}}, "required": ["value"], "type": "object"}, "type": "array"}, "ITEM_ID": {"items": {"properties": {"attributes": {"properties": {"id": {"type": "string"}}, "type": "object"}, "input_value": {"type": "string"}, "value": {"type": "string"}}, "type": "object"}, "type": "array"}, "PARAM": {"items": {"properties": {"elements": {"properties": {"NAME": {"items": {"properties": {"value": {"type": "string"}}, "required": ["value"], "type": "object"}, "type": "array"}, "VAL": {"items": {"properties": {"value": {"type": "string"}}, "required": ["value"], "type": "object"}, "type": "array"}}, "type": "object"}, "value": {"type": "string"}}, "required": ["elements"], "type": "object"}, "type": "array"}, "PRICE": {"items": {"properties": {"input_value": {"type": "number"}, "value": {"type": "number"}}, "type": "object"}, "type": "array"}}, "type": "object"}}, "type": "object"}, "id": {"type": "string"}, "output_changed_at": {"nullable": true}, "updated_at": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Products"], "description": "Returns a product with the given ID.\n\n**OAuth2 Scope:** `project.products.read`\n\n**GET** `https://api.mergado.com/products/id/`", "summary": "Get a Product"}, "patch": {"parameters": [{"description": "ID of a product.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": {"CATEGORYTEXT": "Tonery do tiskáren > Kompatibilní tonery", "DELIVERY_DATE": "0", "DESCRIPTION": "Toner HP Q7551X", "DUES": "0", "IMGURL": "http://www.example.com/img/755.jpg", "MANUFACTURER": "PIRANHA", "PRICE": "808.18", "PRODUCT": "Toner HP Q7551X", "URL": "http://www.comps.cz/toner-hp-755", "VAT": "21.0"}, "id": "1693", "input_data": {"CATEGORYTEXT": "Tonery do tiskáren | Kompatibilní tonery", "DELIVERY_DATE": "0", "DESCRIPTION": "Toner HP Q7551X", "DUES": "0", "IMGURL": "http://www.example.com/img/755.jpg", "MANUFACTURER": "PIRANHA", "PRICE": "808.18", "PRODUCT": "Toner HP Q7551X", "URL": "http://www.comps.cz/toner-hp-755", "VAT": "21.0"}, "output_changed_at": null, "updated_at": "2017-05-21T00:00:00+00:00"}}}, "schema": {"example": {"data": {"CATEGORYTEXT": "Tonery do tiskáren > Kompatibilní tonery", "DELIVERY_DATE": "0", "DESCRIPTION": "Toner HP Q7551X", "DUES": "0", "IMGURL": "http://www.example.com/img/755.jpg", "MANUFACTURER": "PIRANHA", "PRICE": "808.18", "PRODUCT": "Toner HP Q7551X", "URL": "http://www.comps.cz/toner-hp-755", "VAT": "21.0"}, "id": "1693", "input_data": {"CATEGORYTEXT": "Tonery do tiskáren | Kompatibilní tonery", "DELIVERY_DATE": "0", "DESCRIPTION": "Toner HP Q7551X", "DUES": "0", "IMGURL": "http://www.example.com/img/755.jpg", "MANUFACTURER": "PIRANHA", "PRICE": "808.18", "PRODUCT": "Toner HP Q7551X", "URL": "http://www.comps.cz/toner-hp-755", "VAT": "21.0"}, "output_changed_at": null, "updated_at": "2017-05-21T00:00:00+00:00"}, "properties": {"data": {"properties": {"CATEGORYTEXT": {"type": "string"}, "DELIVERY_DATE": {"type": "string"}, "DESCRIPTION": {"type": "string"}, "DUES": {"type": "string"}, "IMGURL": {"type": "string"}, "MANUFACTURER": {"type": "string"}, "PRICE": {"type": "string"}, "PRODUCT": {"type": "string"}, "URL": {"type": "string"}, "VAT": {"type": "string"}}, "type": "object"}, "id": {"type": "string"}, "input_data": {"properties": {"CATEGORYTEXT": {"type": "string"}, "DELIVERY_DATE": {"type": "string"}, "DESCRIPTION": {"type": "string"}, "DUES": {"type": "string"}, "IMGURL": {"type": "string"}, "MANUFACTURER": {"type": "string"}, "PRICE": {"type": "string"}, "PRODUCT": {"type": "string"}, "URL": {"type": "string"}, "VAT": {"type": "string"}}, "type": "object"}, "output_changed_at": {"nullable": true}, "updated_at": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Products"], "description": "Updates a product with the given ID.\n\n**Note:** Currently, it is possible to update only the field `is_dirty` which can be used\nto force Mergado to refresh the product (apply rules) during the next (lazy) rebuild.\n\nFor optimization reasons, this field is not returned in the response, and whether the product\nhas already been applied can be checked in the logs at `/projects/<id>/applylogs/`.\nNevertheless, it is acceptable to mark the product as dirty without prior checking to see if it is even necessary.\n\n**OAuth2 Scope:** `project.products.write`.\n\n**PATCH** `https://api.mergado.com/products/id/`", "requestBody": {"content": {"application/json": {"schema": {"example": {"is_dirty": true}, "properties": {"is_dirty": {"type": "boolean"}}, "type": "object"}}}}, "summary": "Update a Product"}}, "/products/{id}/stats/": {"get": {"parameters": [{"description": "ID of the product.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}, {"description": "Date of the collection of the statistics.", "in": "query", "name": "date", "required": false, "schema": {"type": "string"}}, {"description": "The lower bound of the stats range.", "in": "query", "name": "start_date", "required": false, "schema": {"type": "string"}}, {"description": "The upper bound of the stats range.", "in": "query", "name": "end_date", "required": false, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"date": "2018-08-08", "product_id": "2550458", "stats": {"heureka_actual_cpc": 1.5, "heureka_card_name": "TFA 30.5027.02", "heureka_category": "Měřiče teploty a vlhkosti", "heureka_categorytext": "Zvlhčovače vzduchu", "heureka_clicks": 0, "heureka_cost_of_sales": 0, "heureka_cpc": 0, "heureka_delivery_date": 0, "heureka_feed_cpc": 12.65, "heureka_id": "123", "heureka_imgurl": "https://www.example.cz/eshop/data/1001/img/vlhkoměr_TFA.jpg", "heureka_manufacturer": "TFA", "heureka_max_prices": [350, 350, 350, 350, 350, 350], "heureka_min_cpc": 1.5, "heureka_min_price": 350, "heureka_min_prices": [350, 350, 350, 350, 350, 350], "heureka_name": "Teploměr s vlhkoměrem TFA 30.5027.02", "heureka_popularity": 53, "heureka_price_position": 1, "heureka_price_vat": 350, "heureka_sales": 0, "heureka_segment": "Stavebniny", "heureka_shop_url": "https://www.example.cz/eshop/teplomer-s-vlhkomerem-tfa-30-5027-02.html", "heureka_shops_count": 6, "heureka_total_cost": 0, "heureka_total_orders": 0, "heureka_url": "https://merice-teploty-vlhkosti.heureka.cz/tfa-30_5027_02", "item_id": "1001"}}, {"date": "2018-08-07", "product_id": "2550458", "stats": {"heureka_actual_cpc": 1.5, "heureka_card_name": "TFA 30.5027.02", "heureka_category": "Měřiče teploty a vlhkosti", "heureka_categorytext": "Zvlhčovače vzduchu", "heureka_clicks": 0, "heureka_cost_of_sales": 0, "heureka_cpc": 0, "heureka_delivery_date": 0, "heureka_feed_cpc": 11.98, "heureka_id": "124", "heureka_imgurl": "https://www.example.cz/eshop/data/1001/img/vlhkoměr_TFA.jpg", "heureka_manufacturer": "TFA", "heureka_max_prices": [350, 350, 350, 350, 350, 350], "heureka_min_cpc": 1.5, "heureka_min_price": 350, "heureka_min_prices": [350, 350, 350, 350, 350, 350], "heureka_name": "Teploměr s vlhkoměrem TFA 30.5027.02", "heureka_popularity": 53, "heureka_price_position": 1, "heureka_price_vat": 350, "heureka_sales": 0, "heureka_segment": "Stavebniny", "heureka_shop_url": "https://www.example.cz/eshop/teplomer-s-vlhkomerem-tfa-30-5027-02.html", "heureka_shops_count": 6, "heureka_total_cost": 0, "heureka_total_orders": 0, "heureka_url": "https://merice-teploty-vlhkosti.heureka.cz/tfa-30_5027_02", "item_id": "1001"}}], "limit": 10, "offset": 0, "total_results": 2}}}, "schema": {"example": {"data": [{"date": "2018-08-08", "product_id": "2550458", "stats": {"heureka_actual_cpc": 1.5, "heureka_card_name": "TFA 30.5027.02", "heureka_category": "Měřiče teploty a vlhkosti", "heureka_categorytext": "Zvlhčovače vzduchu", "heureka_clicks": 0, "heureka_cost_of_sales": 0, "heureka_cpc": 0, "heureka_delivery_date": 0, "heureka_feed_cpc": 12.65, "heureka_id": "123", "heureka_imgurl": "https://www.example.cz/eshop/data/1001/img/vlhkoměr_TFA.jpg", "heureka_manufacturer": "TFA", "heureka_max_prices": [350, 350, 350, 350, 350, 350], "heureka_min_cpc": 1.5, "heureka_min_price": 350, "heureka_min_prices": [350, 350, 350, 350, 350, 350], "heureka_name": "Teploměr s vlhkoměrem TFA 30.5027.02", "heureka_popularity": 53, "heureka_price_position": 1, "heureka_price_vat": 350, "heureka_sales": 0, "heureka_segment": "Stavebniny", "heureka_shop_url": "https://www.example.cz/eshop/teplomer-s-vlhkomerem-tfa-30-5027-02.html", "heureka_shops_count": 6, "heureka_total_cost": 0, "heureka_total_orders": 0, "heureka_url": "https://merice-teploty-vlhkosti.heureka.cz/tfa-30_5027_02", "item_id": "1001"}}, {"date": "2018-08-07", "product_id": "2550458", "stats": {"heureka_actual_cpc": 1.5, "heureka_card_name": "TFA 30.5027.02", "heureka_category": "Měřiče teploty a vlhkosti", "heureka_categorytext": "Zvlhčovače vzduchu", "heureka_clicks": 0, "heureka_cost_of_sales": 0, "heureka_cpc": 0, "heureka_delivery_date": 0, "heureka_feed_cpc": 11.98, "heureka_id": "124", "heureka_imgurl": "https://www.example.cz/eshop/data/1001/img/vlhkoměr_TFA.jpg", "heureka_manufacturer": "TFA", "heureka_max_prices": [350, 350, 350, 350, 350, 350], "heureka_min_cpc": 1.5, "heureka_min_price": 350, "heureka_min_prices": [350, 350, 350, 350, 350, 350], "heureka_name": "Teploměr s vlhkoměrem TFA 30.5027.02", "heureka_popularity": 53, "heureka_price_position": 1, "heureka_price_vat": 350, "heureka_sales": 0, "heureka_segment": "Stavebniny", "heureka_shop_url": "https://www.example.cz/eshop/teplomer-s-vlhkomerem-tfa-30-5027-02.html", "heureka_shops_count": 6, "heureka_total_cost": 0, "heureka_total_orders": 0, "heureka_url": "https://merice-teploty-vlhkosti.heureka.cz/tfa-30_5027_02", "item_id": "1001"}}], "limit": 10, "offset": 0, "total_results": 2}, "properties": {"data": {"items": {"properties": {"date": {"type": "string"}, "product_id": {"type": "string"}, "stats": {"properties": {"heureka_actual_cpc": {"type": "number"}, "heureka_card_name": {"type": "string"}, "heureka_category": {"type": "string"}, "heureka_categorytext": {"type": "string"}, "heureka_clicks": {"type": "number"}, "heureka_cost_of_sales": {"type": "number"}, "heureka_cpc": {"type": "number"}, "heureka_delivery_date": {"type": "number"}, "heureka_feed_cpc": {"type": "number"}, "heureka_id": {"type": "string"}, "heureka_imgurl": {"type": "string"}, "heureka_manufacturer": {"type": "string"}, "heureka_max_prices": {"items": {"type": "number"}, "type": "array"}, "heureka_min_cpc": {"type": "number"}, "heureka_min_price": {"type": "number"}, "heureka_min_prices": {"items": {"type": "number"}, "type": "array"}, "heureka_name": {"type": "string"}, "heureka_popularity": {"type": "number"}, "heureka_price_position": {"type": "number"}, "heureka_price_vat": {"type": "number"}, "heureka_sales": {"type": "number"}, "heureka_segment": {"type": "string"}, "heureka_shop_url": {"type": "string"}, "heureka_shops_count": {"type": "number"}, "heureka_total_cost": {"type": "number"}, "heureka_total_orders": {"type": "number"}, "heureka_url": {"type": "string"}, "item_id": {"type": "string"}}, "type": "object"}}, "required": ["date", "stats", "product_id"], "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Statistics"], "description": "Returns a list of product statistics relevant to the project format.\nThe stats are collected daily.\n\n**OAuth2 Scope:** `project.stats.read`\n\n**GET** `https://api.mergado.com/products/id/stats/?date=&start_date=&end_date=`", "summary": "Statistics of a Product"}}, "/project/{id}/products/": {"patch": {"parameters": [{"description": "ID of a product.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"204": {"description": "No Content", "headers": {}}}, "tags": ["Products"], "description": "Updates all products or products matching the filter. It is possible to use filters which are for the **GET** request,\ne.g. `?filter=[{\"field\": \"id\",\"op\": \"in\", \"value\": \"[123, 124]\"}]`.\n\n**Note:** Currently, it is possible tu update only the field `is_dirty` which can be used\nto force Mergado to refresh the products (apply rules) during the next (lazy) rebuild.\n\nFor optimization reasons, nothing is returned in the response, and whether the products have\nhas already been applied can be checked in the logs at `/projects/<id>/applylogs/`.\nNevertheless, it is acceptable to mark the product as dirty without prior checking to see if it is even necessary.\n\n**OAuth2 Scope:** `project.products.write`\n\n**PATCH** `https://api.mergado.com/project/id/products/`", "requestBody": {"content": {"application/json": {"schema": {"example": {"is_dirty": true}, "properties": {"is_dirty": {"type": "boolean"}}, "type": "object"}}}}, "summary": "Update products"}}, "/project/{id}/variables/": {"post": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"201": {"content": {"application/json": {"examples": {"response": {"value": {"element_path": "DESCRIPTION", "fragment_number": 2, "id": "1521", "name": "DESCRIPTION_A", "project_id": "33", "regular_expression": "(\\-|\\* )?(.*)", "sample_text": null, "type": "manual"}}}, "schema": {"example": {"element_path": "DESCRIPTION", "fragment_number": 2, "id": "1521", "name": "DESCRIPTION_A", "project_id": "33", "regular_expression": "(\\-|\\* )?(.*)", "sample_text": null, "type": "manual"}, "properties": {"element_path": {"type": "string"}, "fragment_number": {"type": "number"}, "id": {"type": "string"}, "name": {"type": "string"}, "project_id": {"type": "string"}, "regular_expression": {"type": "string"}, "sample_text": {"nullable": true}, "type": {"type": "string"}}, "type": "object"}}}, "description": "Created", "headers": {"Location": {"schema": {"type": "string"}}}}}, "tags": ["Variables"], "description": "Creates a new variable inside a project.\n\n**OAuth2 Scope:** `project.variables.write`\n\n**POST** `https://api.mergado.com/project/id/variables/`", "requestBody": {"content": {"application/json": {"schema": {"example": {"element_path": "DESCRIPTION", "fragment_number": 2, "name": "DESCRIPTION_A", "regular_expression": "(\\-|\\* )?(.*)", "sample_text": null}, "properties": {"element_path": {"type": "string"}, "fragment_number": {"type": "number"}, "name": {"type": "string"}, "regular_expression": {"type": "string"}, "sample_text": {"nullable": true}}, "type": "object"}}}}, "summary": "Create a Variable"}}, "/projects/{id}/": {"get": {"parameters": [{"description": "ID of a project.Re", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"id": "8", "shop_id": "1", "creator_id": "1", "name": "Billiger.de", "url": "https://dummy.mergado.com/example-com.xml", "created": "2015-11-11T15:42:33+00:00", "exported_items": 0, "input_format": "zbozi.cz", "output_format": "billiger.de", "pairing_elements": "URL", "readonly": false, "is_paused": false, "rules_changed_at": "2015-11-11T15:43:07+00:00", "slug": "example-com-heureka-cz-asdf", "turned_off": true, "update_period": 14400, "last_access": "2015-12-10T12:51:59+00:00", "data_synced_at": "2015-11-18T13:19:59+00:00", "data_updated_at": "2015-11-11T15:42:50+00:00", "is_dirty": false, "in_testing_mode": false, "metadata": {"stats_ga_medium": "agregator", "stats_ga_source": "heureka.*.", "generator": "mergado.magento.marketingpack.0_1"}, "number_of_elements": 28, "all_products_query_id": "1", "sync_schedule": {"minute": "50", "hour": "*/1", "day_of_week": "*", "day_of_month": "*", "month_of_year": "*"}}}}, "schema": {"type": "object", "properties": {"id": {"type": "string"}, "shop_id": {"type": "string"}, "creator_id": {"type": "string"}, "name": {"type": "string"}, "url": {"type": "string"}, "created": {"type": "string"}, "exported_items": {"type": "integer"}, "input_format": {"type": "string"}, "output_format": {"type": "string"}, "pairing_elements": {"type": "string"}, "readonly": {"type": "boolean"}, "is_paused": {"type": "boolean"}, "rules_changed_at": {"type": "string"}, "slug": {"type": "string"}, "turned_off": {"type": "boolean"}, "update_period": {"type": "integer"}, "last_access": {"type": "string"}, "data_synced_at": {"type": "string"}, "data_updated_at": {"type": "string"}, "is_dirty": {"type": "boolean"}, "in_testing_mode": {"type": "boolean"}, "metadata": {"type": "object", "properties": {"stats_ga_medium": {"type": "string"}, "stats_ga_source": {"type": "string"}, "generator": {"type": "string"}}}, "number_of_elements": {"type": "integer"}, "all_products_query_id": {"type": "string"}, "sync_schedule": {"type": "object", "properties": {"minute": {"type": "string"}, "hour": {"type": "string"}, "day_of_week": {"type": "string"}, "day_of_month": {"type": "string"}, "month_of_year": {"type": "string"}}}}}}}, "description": "OK", "headers": {}}}, "tags": ["Projects"], "description": "Returns a project with the given ID. If the requested project is not active, the endpoint returns 404\n\n**OAuth2 Scope:** `project.read`\n\n**GET** `https://api.mergado.com/projects/id/`", "summary": "Get a Project"}, "patch": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "OK", "headers": {}}}, "tags": ["Projects"], "description": "Updates a project with the given ID.\n\n**Note:** Currently, it is possible to update only the field `is_dirty` which can be used\nto force Mergado to refresh the products (apply rules) during the next (lazy) rebuild.\n\nFor optimization reasons, this field is not returned in the response, and whether the product\nhas already been applied can be checked in the logs at `/projects/<id>/applylogs/`.\nNevertheless, it is acceptable to mark the product as dirty without prior checking to see if it is even necessary.\n\n**OAuth2 Scope:** `project.write`\n\n**PATCH** `https://api.mergado.com/projects/id/`", "requestBody": {"content": {"application/json": {"schema": {"example": {"is_dirty": true}, "properties": {"is_dirty": {"type": "boolean"}}, "type": "object"}}}}, "summary": "Update a Project"}}, "/projects/{id}/accesslogs/": {"get": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"https": false, "id": "101", "identity": "-", "ip": "111.222.333.444", "referer": "-", "request": "GET /mergadovenaradie-cz-heureka-cz-greagfsdabtrshthgreav.xml HTTP/1.1", "size": 627142, "status": 200, "time": "2016-05-15T08:18:13+00:00", "user": "-", "user_agent": "Heurekabot-Feed/1.0 (+http://sluzby.heureka.cz/napoveda/heurekabot/)"}, {"https": false, "id": "127", "identity": "-", "ip": "555.666.777.888", "referer": "-", "request": "HEAD /naradiovemergado-cz-kurtmjyrasnaENBREANzgtsf.xml HTTP/1.1", "size": 0, "status": 200, "time": "2016-05-15T08:24:38+00:00", "user": "-", "user_agent": "Mozilla/5.0 (Windows; U; Windows NT 5.1; cs; rv:1) Gecko/20101203 Firefox/3.6.13 ( .NET CLR 1)"}], "limit": 10, "offset": 0, "total_results": 2}}}, "schema": {"example": {"data": [{"https": false, "id": "101", "identity": "-", "ip": "111.222.333.444", "referer": "-", "request": "GET /mergadovenaradie-cz-heureka-cz-greagfsdabtrshthgreav.xml HTTP/1.1", "size": 627142, "status": 200, "time": "2016-05-15T08:18:13+00:00", "user": "-", "user_agent": "Heurekabot-Feed/1.0 (+http://sluzby.heureka.cz/napoveda/heurekabot/)"}, {"https": false, "id": "127", "identity": "-", "ip": "555.666.777.888", "referer": "-", "request": "HEAD /naradiovemergado-cz-kurtmjyrasnaENBREANzgtsf.xml HTTP/1.1", "size": 0, "status": 200, "time": "2016-05-15T08:24:38+00:00", "user": "-", "user_agent": "Mozilla/5.0 (Windows; U; Windows NT 5.1; cs; rv:1) Gecko/20101203 Firefox/3.6.13 ( .NET CLR 1)"}], "limit": 10, "offset": 0, "total_results": 2}, "properties": {"data": {"items": {"properties": {"https": {"type": "boolean"}, "id": {"type": "string"}, "identity": {"type": "string"}, "ip": {"type": "string"}, "referer": {"type": "string"}, "request": {"type": "string"}, "size": {"type": "number"}, "status": {"type": "number"}, "time": {"type": "string"}, "user": {"type": "string"}, "user_agent": {"type": "string"}}, "required": ["https", "id", "identity", "ip", "referer", "request", "size", "status", "time", "user", "user_agent"], "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Logs"], "description": "Fetches all access logs for given project.\n\n**OAuth2 Scope:** `project.logs.read`\n\n**GET** `https://api.mergado.com/projects/id/accesslogs/`", "summary": "Get Access Logs"}}, "/projects/{id}/applylogs/": {"get": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"applied_to_all_items": true, "duration": 1.548, "finished_at": "2016-05-18T15:16:26+00:00", "id": "155", "items": 1, "rules": [{"processed_products": 64, "products": 64, "rule_id": "1"}], "started_at": "2016-05-18T15:16:25+00:00", "user_id": "1"}, {"applied_to_all_items": false, "duration": 1.464, "finished_at": "2016-05-18T15:17:22+00:00", "id": "156", "items": 1, "rules": [{"processed_products": 64, "products": 64, "rule_id": "1"}, {"processed_products": 64, "products": 64, "rule_id": "5"}], "started_at": "2016-05-18T15:17:21+00:00", "user_id": null}], "limit": 10, "offset": 0, "total_results": 2}}}, "schema": {"example": {"data": [{"applied_to_all_items": true, "duration": 1.548, "finished_at": "2016-05-18T15:16:26+00:00", "id": "155", "items": 1, "rules": [{"processed_products": 64, "products": 64, "rule_id": "1"}], "started_at": "2016-05-18T15:16:25+00:00", "user_id": "1"}, {"applied_to_all_items": false, "duration": 1.464, "finished_at": "2016-05-18T15:17:22+00:00", "id": "156", "items": 1, "rules": [{"processed_products": 64, "products": 64, "rule_id": "1"}, {"processed_products": 64, "products": 64, "rule_id": "5"}], "started_at": "2016-05-18T15:17:21+00:00", "user_id": null}], "limit": 10, "offset": 0, "total_results": 2}, "properties": {"data": {"items": {"properties": {"applied_to_all_items": {"type": "boolean"}, "duration": {"type": "number"}, "finished_at": {"type": "string"}, "id": {"type": "string"}, "items": {"type": "number"}, "rules": {"items": {"properties": {"processed_products": {"type": "number"}, "products": {"type": "number"}, "rule_id": {"type": "string"}}, "required": ["processed_products", "products", "rule_id"], "type": "object"}, "type": "array"}, "started_at": {"type": "string"}, "user_id": {"nullable": true, "type": "string"}}, "required": ["duration", "finished_at", "id", "items", "started_at", "rules", "user_id", "applied_to_all_items"], "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Logs"], "description": "Fetches all apply logs for given project.\n\n**OAuth2 Scope:** `project.logs.read`\n\n**GET** `https://api.mergado.com/projects/id/applylogs/`", "summary": "Get Apply Logs"}}, "/projects/{id}/apps/": {"get": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"app_name": "projectappone", "free_until": "2015-01-09", "paid_until": "2016-01-08"}, {"app_name": "projectapptwo", "free_until": "2015-02-24", "paid_until": "2015-03-23"}], "limit": 10, "offset": 0, "total_results": 2}}}, "schema": {"example": {"data": [{"app_name": "projectappone", "free_until": "2015-01-09", "paid_until": "2016-01-08"}, {"app_name": "projectapptwo", "free_until": "2015-02-24", "paid_until": "2015-03-23"}], "limit": 10, "offset": 0, "total_results": 2}, "properties": {"data": {"items": {"properties": {"app_name": {"type": "string"}, "free_until": {"type": "string"}, "paid_until": {"type": "string"}}, "required": ["app_name", "free_until", "paid_until"], "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Enabled Apps"], "description": "Lists apps enabled for the given project.\n\n**OAuth2 Scope:** `project.apps.read`\n\n**GET** `https://api.mergado.com/projects/id/apps/`", "summary": "List Project Apps"}}, "/projects/{id}/apps/{name}/": {"get": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}, {"description": "Name of an app.", "in": "path", "name": "name", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"app_name": "projectappone", "free_until": "2015-01-09", "paid_until": "2016-01-08"}}}, "schema": {"example": {"app_name": "projectappone", "free_until": "2015-01-09", "paid_until": "2016-01-08"}, "properties": {"app_name": {"type": "string"}, "free_until": {"type": "string"}, "paid_until": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Enabled Apps"], "description": "Fetches an app enabled by the given project.\n\n**OAuth2 Scope:** `project.apps.read`\n\n**GET** `https://api.mergado.com/projects/id/apps/name/`", "summary": "Get Project App"}, "patch": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}, {"description": "Name of an app.", "in": "path", "name": "name", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"app_name": "projectappone", "free_until": "2015-01-09", "paid_until": "2016-04-08"}}}, "schema": {"example": {"app_name": "projectappone", "free_until": "2015-01-09", "paid_until": "2016-04-08"}, "properties": {"app_name": {"type": "string"}, "free_until": {"type": "string"}, "paid_until": {"type": "string"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Enabled Apps"], "description": "Updates an app enabled for the given project.\n\n**OAuth2 Scope:** `project.apps.write`\n\n**PATCH** `https://api.mergado.com/projects/id/apps/name/`", "requestBody": {"content": {"application/json": {"schema": {"example": {"paid_until": "2016-04-08"}, "properties": {"paid_until": {"type": "string"}}, "type": "object"}}}}, "summary": "Update Project App"}}, "/projects/{id}/elements/": {"get": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"IMAGE": {"hidden": false, "id": "3", "order": 3, "origin": "output"}, "PARAM": {"children": {"NAME": {"hidden": false, "id": "5", "order": 1, "origin": "output"}, "VAL": {"hidden": false, "id": "6", "order": 2, "origin": "output"}}, "hidden": false, "id": "4", "order": 4, "origin": "output"}, "PRICE": {"hidden": false, "id": "2", "order": 2, "origin": "output"}, "PRODUCT": {"children": {"id": {"hidden": true, "id": "11", "is_attribute": true, "order": 1, "origin": "input"}}, "hidden": true, "id": "1", "is_attribute": false, "order": 1, "origin": "input"}}}}, "schema": {"example": {"IMAGE": {"hidden": false, "id": "3", "order": 3, "origin": "output"}, "PARAM": {"children": {"NAME": {"hidden": false, "id": "5", "order": 1, "origin": "output"}, "VAL": {"hidden": false, "id": "6", "order": 2, "origin": "output"}}, "hidden": false, "id": "4", "order": 4, "origin": "output"}, "PRICE": {"hidden": false, "id": "2", "order": 2, "origin": "output"}, "PRODUCT": {"children": {"id": {"hidden": true, "id": "11", "is_attribute": true, "order": 1, "origin": "input"}}, "hidden": true, "id": "1", "is_attribute": false, "order": 1, "origin": "input"}}, "properties": {"IMAGE": {"properties": {"hidden": {"type": "boolean"}, "id": {"type": "string"}, "order": {"type": "number"}, "origin": {"type": "string"}}, "type": "object"}, "PARAM": {"properties": {"children": {"properties": {"NAME": {"properties": {"hidden": {"type": "boolean"}, "id": {"type": "string"}, "order": {"type": "number"}, "origin": {"type": "string"}}, "type": "object"}, "VAL": {"properties": {"hidden": {"type": "boolean"}, "id": {"type": "string"}, "order": {"type": "number"}, "origin": {"type": "string"}}, "type": "object"}}, "type": "object"}, "hidden": {"type": "boolean"}, "id": {"type": "string"}, "order": {"type": "number"}, "origin": {"type": "string"}}, "type": "object"}, "PRICE": {"properties": {"hidden": {"type": "boolean"}, "id": {"type": "string"}, "order": {"type": "number"}, "origin": {"type": "string"}}, "type": "object"}, "PRODUCT": {"properties": {"children": {"properties": {"id": {"properties": {"hidden": {"type": "boolean"}, "id": {"type": "string"}, "is_attribute": {"type": "boolean"}, "order": {"type": "number"}, "origin": {"type": "string"}}, "type": "object"}}, "type": "object"}, "hidden": {"type": "boolean"}, "id": {"type": "string"}, "is_attribute": {"type": "boolean"}, "order": {"type": "number"}, "origin": {"type": "string"}}, "type": "object"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Elements"], "description": "Lists all project's elements in a tree structure.\n\n**Note:** For MERGADO 1 the response doesn't contain the field `order`.\n\n**OAuth2 Scope:** `project.elements.read`\n\n**GET** `https://api.mergado.com/projects/id/elements/`", "summary": "List Project Elements"}, "post": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"201": {"content": {"application/json": {"examples": {"response": {"value": {"hidden": false, "is_attribute": false, "name": "SHIPPING", "order": 3, "origin": "manual", "parent_id": null}}}, "schema": {"example": {"hidden": false, "is_attribute": false, "name": "SHIPPING", "order": 3, "origin": "manual", "parent_id": null}, "properties": {"hidden": {"type": "boolean"}, "is_attribute": {"type": "boolean"}, "name": {"type": "string"}, "order": {"type": "number"}, "origin": {"type": "string"}, "parent_id": {"nullable": true}}, "type": "object"}}}, "description": "Created", "headers": {"Location": {"schema": {"type": "string"}}}}}, "tags": ["Elements"], "description": "Creates an element inside a project.\n\nIn the request, in case of\n\n* not specifying `order`, the element will be created as the last one,\n\n* specifying `order`, the element will be created at the specified spot and the `order` of other elements will be adjusted accordingly,\n\n* not specifying `is_attribute`, it will be set to `false`,\n\n* the element is being created in MERGADO 1, `order` is ignored,\n\n* the element is being created in MERGADO 1 and `is_attribute = true`, 409 will be returned.\n\n**OAuth2 Scope:** `project.elements.write`\n\n**POST** `POSThttps://api.mergado.com/projects/id/elements/`", "requestBody": {"content": {"application/json": {"schema": {"example": {"hidden": false, "name": "SHIPPING"}, "properties": {"hidden": {"type": "boolean"}, "name": {"type": "string"}}, "type": "object"}}}}, "summary": "Create an Element"}}, "/projects/{id}/elements/values": {"get": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"value": "modrá", "count": 5}, {"value": "červená", "count": 4}, {"value": "zelená", "count": 4}, {"value": "bílá", "count": 2}, {"value": "černá", "count": 1}, {"value": "žlutá", "count": 1}], "limit": 10, "total_results": 2, "offset": 0}}}, "schema": {"properties": {"data": {"items": {"properties": {"value": {"type": "string"}, "count": {"type": "number"}}, "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "total_results": {"type": "number"}, "offset": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Elements"], "description": "Returns all values from the project for the element whose element path is specified in the `element_path` URL parameter. The `element_path` parameter is required.\n\nThe `is_output` parameter allows you to filter values ​​based on their occurrence. It supports the following values:\n\n+ `true` – Returns output values.\n\n+ `false` – Returns input values.\n\n+ `null` (or omitted) – Returns output values.\n\n**OAuth2 Scope:** `project.read`\n\n**GET** `https://api.mergado.com/projects/id/elements/values`", "summary": "Element Values - GET"}, "post": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"value": "modrá", "count": 5}, {"value": "červená", "count": 4}, {"value": "zelená", "count": 4}, {"value": "bílá", "count": 2}, {"value": "černá", "count": 1}, {"value": "žlutá", "count": 1}], "limit": 10, "total_results": 2, "offset": 0}}}, "schema": {"type": "object", "properties": {"data": {"type": "array", "items": {"type": "object", "properties": {"value": {"type": "string"}, "count": {"type": "number"}}}}, "limit": {"type": "number"}, "total_results": {"type": "number"}, "offset": {"type": "number"}}}}}, "description": "OK", "headers": {}}}, "tags": ["Elements"], "description": "Returns all values from the project for the element whose element path is specified in the `element_path` field within the request body. The `element_path` parameter is required.\n\nThe `is_output` field within the request body allows you to filter values based on their occurrence. It supports the following values:\n\n+ `true` – Returns output values.\n\n+ `false` – Returns input values.\n\n+ `null` (or omitted) – Returns output values.\n\n**OAuth2 Scope:** `project.read`\n\n**POST** `https://api.mergado.com/projects/id/elements/values`", "summary": "Element Values - POST"}}, "/projects/{id}/exportlogs/": {"get": {"parameters": [{"description": "ID of a project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"duration": 5, "finished_at": null, "id": "1", "initial": false, "items": 20, "processed_items": 20, "started_at": "2016-06-01T15:52:45+00:00", "user_id": "1"}, {"duration": 10, "finished_at": "2016-06-01T15:54:44+00:00", "id": "2", "initial": false, "items": 100, "processed_items": 100, "started_at": "2016-06-01T15:54:30+00:00", "user_id": "1"}], "limit": 10, "offset": 0, "total_results": 2}}}, "schema": {"example": {"data": [{"duration": 5, "finished_at": null, "id": "1", "initial": false, "items": 20, "processed_items": 20, "started_at": "2016-06-01T15:52:45+00:00", "user_id": "1"}, {"duration": 10, "finished_at": "2016-06-01T15:54:44+00:00", "id": "2", "initial": false, "items": 100, "processed_items": 100, "started_at": "2016-06-01T15:54:30+00:00", "user_id": "1"}], "limit": 10, "offset": 0, "total_results": 2}, "properties": {"data": {"items": {"properties": {"duration": {"type": "number"}, "finished_at": {"nullable": true, "type": "string"}, "id": {"type": "string"}, "initial": {"type": "boolean"}, "items": {"type": "number"}, "processed_items": {"type": "number"}, "started_at": {"type": "string"}, "user_id": {"type": "string"}}, "required": ["duration", "finished_at", "id", "initial", "items", "processed_items", "started_at", "user_id"], "type": "object"}, "type": "array"}, "limit": {"type": "number"}, "offset": {"type": "number"}, "total_results": {"type": "number"}}, "type": "object"}}}, "description": "OK", "headers": {}}}, "tags": ["Logs"], "description": "Fetches all export logs for given project.\n\n**OAuth2 Scope:** `project.logs.read`\n\n**GET** `https://api.mergado.com/projects/id/exportlogs/`", "summary": "Get Export Logs"}}, "/projects/{id}/feedaudits/": {"get": {"parameters": [{"description": "ID of the project.", "in": "path", "name": "id", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"content": {"application/json": {"examples": {"response": {"value": {"data": [{"encoding": "utf-8", "error": null, "feed_types": ["heureka.cz", "zbozi.cz"], "feed_url": "https://www.example.com/feed.xml", "finished_at": null, "id": "51768ba7ed14f444772d6137", "parser_type": "heureka.cz", "product_count": 8367, "progress": 40, "shop_name": "Example.com", "started_at": "2013-04-23T13:24:55+00:00", "status": "in_progress", "time": 254, "webhook_url": "http://www.example.com/ping.php"}], "limit": 10, "offset": 0, "total_results": 1}}}, "schema": {"example": {"data": [{"encoding": "utf-8", "error": null, "feed_types": ["heureka.cz", "zbozi.cz"], "feed_url": "https://www.example.com/feed.xml", "finished_at": null, "id": "51768ba7ed14f444772d6137", "parser_type": "heureka.cz", "product_count": 8367, "progress": 40, "shop_name": "Example.com", "started_at": "2013-04-23T13:24:55+00:00", "status": "in_progress", "time": 254, "webhook_url": "http://www.example.com/ping.php"}], "limit": 10, "offset": 0, "total_results": 1}, "properties": {"data": {"items": {"properties": {"encoding": {"type": "string"}, "error": {"nullable": true}, "feed_types": {"items": {"type": "string"}, "type": "array"}, "feed_url": {"type": "string"}, "finished_at": {"nullable": true}, "id": {"type": "string"}, "parser_type": {"type": "string"}, "product_count": {"type": "number"}, "progress": {"type": "number"}, "shop_name": {"type": "string"}, "started_at": {"type": "string"}, "status": {"type": "string"}, "time": {"type": "number"}, "webhook_url": {"type": "string"}}, "type": "object"}, "type": "array"}, "limit": {"type": "numbe
[...]
